<div fxLayout="column" fxFlexOffset.gt-sm="5" fxFlexOffset.lt-sm="0" fxFlex.gt-sm="42.5" fxFlex.lt-sm="100"
     fxLayoutAlign="start stretch">

  <mat-card fxLayoutAlign="space-around center">
    Drop File <input type="file" ng2FileSelect [uploader]="uploader"/>
  </mat-card>
  <mat-card class="dropZone" fxLayoutAlign="center stretch">

    <div ng2FileDrop fxFlex="grow" fxLayout="center stretch"
         [ngClass]="{'nv-file-over': hasBaseDropZoneOver}"
         (fileOver)="fileOverBase($event)"
         [uploader]="uploader"
         class="well my-drop-zone">
    </div>

  </mat-card>
</div>

<div fxLayout="column" fxFlexOffset.gt-sm="5" fxFlexOffset.lt-sm="0" fxFlex.gt-sm="42.5" fxFlex.lt-sm="100"
     fxLayoutAlign="start stretch">
  <mat-card fxLayoutAlign="start start">
    <table class="table">
      <thead>
      <tr>
        <th>Name</th>
        <th width="50%">Progress</th>
        <th>Status</th>
        <th>Actions</th>
      </tr>
      </thead>
      <tbody>
      <tr *ngFor="let item of uploader.queue">
        <td><strong>{{ item?.file?.name }}</strong></td>
        <td>
          <div class="progress" style="margin-bottom: 0;">
            <div class="progress-bar" role="progressbar" [ngStyle]="{ 'width': item.progress + '%' }"></div>
          </div>
        </td>
        <td class="text-center">
          <span *ngIf="item.isSuccess" class="fa fa-check"></span>
          <span *ngIf="item.isCancel" class="fa fa-times-circle"></span>
          <span *ngIf="item.isError" class="fa fa-trash"></span>
        </td>
        <td nowrap>
          <button type="button" class="btn btn-success btn-xs"
                  (click)="item.upload()" [disabled]="item.isReady || item.isUploading || item.isSuccess">
            <span class="fa fa-upload"></span> Upload
          </button>
          <button type="button" class="btn btn-warning btn-xs"
                  (click)="item.cancel()" [disabled]="!item.isUploading">
            <span class="fa fa-times-circle"></span> Cancel
          </button>
          <button type="button" class="btn btn-danger btn-xs"
                  (click)="item.remove()">
            <span class="fa fa-trash"></span> Remove
          </button>
        </td>
      </tr>
      </tbody>
    </table>

  </mat-card>
</div>
